using System;
using System.Collections.Generic;
using System.Text;

using DataPerformer;
using DiagramUI;

namespace Motion6D
{
    public class MovedStrategy : DataPerformerStrategy
    {
        static public readonly MovedStrategy Object = new MovedStrategy();
        private List<IPosition> frames = new List<IPosition>();

        protected MovedStrategy()
        {
        }
        public override void PrepareAll(IDesktop d)
        {
            base.PrepareAll(d);
            frames = ReferenceFrameArrow.Prepare(d);
        }

        public override void StartAll(IDesktop d)
        {
            base.StartAll(d);
        }

        public override void UpdateAll(IDesktop d)
        {
            base.UpdateAll(d);
            ReferenceFrameArrow.Update(frames);
        }
    }
}
